/*
 * display24.h Michael Saunby	M.Saunby@reading.ac.uk
 *
 * Release 1.0
 *
 * Display 24 bit RGB data using the Albert HAM8 screen.
 */

/* Pubscreen name */
#define HAM8_ALBERT_NAME "HAM-8 Albert"

/* Port name - used for palette queries */
#define HAM8_ALBERT_PORT HAM8_ALBERT_NAME

/* Maximum run of pixels dervied from previous
 * 20 looks a bit messy, 40 is OK
 * If MAX_HAMSLIP is not defined we dont do this
 */
/* #define MAX_HAMSLIP 40 */

int StandardPalette (struct ViewPort * vp, UWORD shared);
/* 0 == OK, n == NUMBER OF ERRORS */

VOID ReleasePens (struct ViewPort * vp);

/*
 * WritePixelArray24() - See WritePixelArray8() for info on temprp etc.
 */
__regargs VOID 
WritePixelArray24 (struct RastPort * rp, const UWORD xstart,
		   const UWORD ystart, const UWORD width, const UWORD height, 
                   UBYTE r[], UBYTE g[], UBYTE b[],
		   UBYTE * pen_array, struct RastPort * temprp);

/*
 * WritePixel24() - The important thing here is to fix the next pixel as
 * many other pixels may depend on it being right.
 */
__regargs VOID 
WritePixel24 (struct RastPort * rp, const UWORD xcoord,
	   const UWORD ycoord, const UBYTE r, const UBYTE g, const UBYTE b);
